NFS(5)

NAME
nfs - nfs fstab format and options

SYNOPSIS
/etc/fstab

DESCRIPTION
The fstab file contains information about which filesystems to mount where and with what options. For NFS mounts, it contains the server name and exported server directory to mount from, the local directory that is the mount point, and the NFS specific options that control the way the filesystem is mounted.

Here is an example from an /etc/fstab file from an NFS mount.

server:/usr/local/pub	/pub	nfs	rsize=8192,wsize=8192,timeo=14,intr

  Options

rsize=n
    The number of bytes NFS uses when reading files from an NFS server. The default value is dependent on the kernel, currently 1024 bytes. (However, throughput is improved greatly by asking for rsize=8192.)

wsize=n
    The number of bytes NFS uses when writing files to an NFS server. The default value is dependent on the kernel, currently 1024 bytes. (However, throughput is improved greatly by asking for wsize=8192.)

timeo=n
    The value in tenths of a second before sending the first retransmission after an RPC timeout. The default value is 7 tenths of a second. After the first timeout, the timeout is doubled after each successive timeout until a maximum timeout of 60 seconds is reached or the enough retransmissions have occured to cause a major timeout. Then, if the filesystem is hard mounted, each new timeout cascade restarts at twice the initial value of the previous cascade, again doubling at each retransmission. The maximum timeout is always 60 seconds. Better overall performance may be achieved by increasing the timeout when mounting on a busy network, to a slow server, or through several routers or gateways.

retrans=n
    The number of minor timeouts and retransmissions that must occur before a major timeout occurs. The default is 3 timeouts. When a major timeout occurs, the file operation is either aborted or a "server not responding" message is printed on the console.

acregmin=n
    The minimum time in seconds that attributes of a regular file should be cached before requesting fresh information from a server. The default is 3 seconds.

acregmax=n
    The maximum time in seconds that attributes of a regular file can be cached before requesting fresh information from a server. The default is 60 seconds.

acdirmin=n
    The minimum time in seconds that attributes of a directory should be cached before requesting fresh information from a server. The default is 30 seconds.

acdirmax=n
    The maximum time in seconds that attributes of a directory can be cached before requesting fresh information from a server. The default is 60 seconds.

actimeo=n
    Using actimeo sets all of acregmin, acregmax, acdirmin, and acdirmax to the same value. There is no default value.

retry=n
    The number of minutes to retry an NFS mount operation in the foreground or background before giving up. The default value is 10000 minutes, which is roughly one week.

namlen=n
    When an NFS server does not support version two of the RPC mount protocol, this option can be used to specify the maximum length of a filename that is supported on the remote filesystem. This is used to support the POSIX pathconf functions. The default is 255 characters.

port=n
    The numeric value of the port to connect to the NFS server on. If the port number is 0 (the default) then query the remote host's portmapper for the port number to use. If the remote host's NFS daemon is not registered with its portmapper, the standard NFS port number 2049 is used instead.

mountport=n
    The numeric value of the mountd port.

mounthost=name
    The name of the host running mountd .

mountprog=n
    Use an alternate RPC program number to contact the mount daemon on the remote host. This option is useful for hosts that can run multiple NFS servers. The default value is 100005 which is the standard RPC mount daemon program number.

mountvers=n
    Use an alternate RPC version number to contact the mount daemon on the remote host. This option is useful for hosts that can run multiple NFS servers. The default value is version 1.

nfsprog=n
    Use an alternate RPC program number to contact the NFS daemon on the remote host. This option is useful for hosts that can run multiple NFS servers. The default value is 100003 which is the standard RPC NFS daemon program number.

nfsvers=n
    Use an alternate RPC version number to contact the NFS daemon on the remote host. This option is useful for hosts that can run multiple NFS servers. The default value is version 2.

nolock
    Disable NFS locking. Do not start lockd. This has to be used with some old NFS servers that don't support locking.

bg  If the first NFS mount attempt times out, retry the mount in the background. After a mount operation is backgrounded, all subsequent mounts on the same NFS server will be backgrounded immediately, without first attempting the mount. A missing mount point is treated as a timeout, to allow for nested NFS mounts.

fg  If the first NFS mount attempt times out, retry the mount in the foreground. This is the complement of the bg option, and also the default behavior.

soft
    If an NFS file operation has a major timeout then report an I/O error to the calling program. The default is to continue retrying NFS file operations indefinitely.

hard
    If an NFS file operation has a major timeout then report "server not responding" on the console and continue retrying indefinitely. This is the default.

intr
    If an NFS file operation has a major timeout and it is hard mounted, then allow signals to interupt the file operation and cause it to return EINTR to the calling program. The default is to not allow file operations to be interrupted.

posix
    Mount the NFS filesystem using POSIX semantics. This allows an NFS filesystem to properly support the POSIX pathconf command by querying the mount server for the maximum length of a filename. To do this, the remote host must support version two of the RPC mount protocol. Many NFS servers support only version one.

nocto
    Suppress the retrieval of new attributes when creating a file.

noac
    Disable all forms of attribute caching entirely. This extracts a server performance penalty but it allows two different NFS clients to get reasonable good results when both clients are actively writing to common filesystem on the server.

tcp Mount the NFS filesystem using the TCP protocol instead of the default UDP protocol. Many NFS servers only support UDP.

udp Mount the NFS filesystem using the UDP protocol. This is the default.

All of the non-value options have corresponding nooption forms. For example, nointr means don't allow file operations to be interrupted.

FILES
/etc/fstab

SEE ALSO
fstab(5), mount(8), umount(8), exports(5)

AUTHOR
"Rick Sladkey" <jrs@world.std.com>

BUGS
The posix, and nocto options are parsed by mount but currently are silently ignored.

The tcp and namlen options are implemented but are not currently supported by the Linux kernel.

The umount command should notify the server when an NFS filesystem is unmounted.